Foxit PDF SDK

Public Types | Public Member Functions | List of all members
foxit::pdf::interform::Filler Class Reference
Inheritance diagram for foxit::pdf::interform::Filler:

## Public Types
enum | EventFlags { e_EventFlagShiftKey = 0x0001, e_EventFlagControlKey = 0x0002, e_EventFlagAltKey = 0x0004, e_EventFlagMetaKey = 0x0008, e_EventFlagKeyPad = 0x0010, e_EventFlagAutoRepeat = 0x0020, e_EventFlagLeftButtonDown = 0x0040, e_EventFlagMiddleButtonDown = 0x0080, e_EventFlagRightButtonDown = 0x0100, e_EventFlagCommand = 0x0200 }
| Enumeration for key event flags. More...
enum | VirtualKeyCode { e_VkeyUnknown = 0x00, e_VkeyBack = 0x08, e_VkeyTab = 0x09, e_VkeyReturn = 0x0D, e_VkeyShift = 0x10, e_VkeyControl = 0x11, e_VkeyMenu = 0x12, e_VkeyPause = 0x13, e_VkeyEscape = 0x1B, e_VkeySpace = 0x20, e_VkeyPrior = 0x21, e_VkeyNext = 0x22, e_VkeyEnd = 0x23, e_VkeyHome = 0x24, e_VkeyLeft = 0x25, e_VkeyUp = 0x26, e_VkeyRight = 0x27, e_VkeyDown = 0x28, e_VkeyPrint = 0x2A, e_VkeySnapshot = 0x2C, e_VkeyInsert = 0x2D, e_VkeyDelete = 0x2E, e_VkeyHelp = 0x2F, e_Vkey0 = 0x30, e_Vkey1 = 0x31, e_Vkey2 = 0x32, e_Vkey3 = 0x33, e_Vkey4 = 0x34, e_Vkey5 = 0x35, e_Vkey6 = 0x36, e_Vkey7 = 0x37, e_Vkey8 = 0x38, e_Vkey9 = 0x39, e_VkeyA = 0x41, e_VkeyB = 0x42, e_VkeyC = 0x43, e_VkeyD = 0x44, e_VkeyE = 0x45, e_VkeyF = 0x46, e_VkeyG = 0x47, e_VkeyH = 0x48, e_VkeyI = 0x49, e_VkeyJ = 0x4A, e_VkeyK = 0x4B, e_VkeyL = 0x4C, e_VkeyM = 0x4D, e_VkeyN = 0x4E, e_VkeyO = 0x4F, e_VkeyP = 0x50, e_VkeyQ = 0x51, e_VkeyR = 0x52, e_VkeyS = 0x53, e_VkeyT = 0x54, e_VkeyU = 0x55, e_VkeyV = 0x56, e_VkeyW = 0x57, e_VkeyX = 0x58, e_VkeyY = 0x59, e_VkeyZ = 0x5A, e_VkeyNumpad0 = 0x60, e_VkeyNumpad1 = 0x61, e_VkeyNumpad2 = 0x62, e_VkeyNumpad3 = 0x63, e_VkeyNumpad4 = 0x64, e_VkeyNumpad5 = 0x65, e_VkeyNumpad6 = 0x66, e_VkeyNumpad7 = 0x67, e_VkeyNumpad8 = 0x68, e_VkeyNumpad9 = 0x69, e_VkeyMultiply = 0x6A, e_VkeyAdd = 0x6B, e_VkeySeparator = 0x6C, e_VkeySubtract = 0x6D, e_VkeyDecimal = 0x6E, e_VkeyDivide = 0x6F, e_VkeyF1 = 0x70, e_VkeyF2 = 0x71, e_VkeyF3 = 0x72, e_VkeyF4 = 0x73, e_VkeyF5 = 0x74, e_VkeyF6 = 0x75, e_VkeyF7 = 0x76, e_VkeyF8 = 0x77, e_VkeyF9 = 0x78, e_VkeyF10 = 0x79, e_VkeyF11 = 0x7A, e_VkeyF12 = 0x7B }
| Enumeration for virtual key code. More...

## Public Member Functions
| Filler (const Filler &other)
| Constructor, with another filler object. More...
| Filler (const Form &form, FillerAssistCallback *assist)
| Constructor. More...
| ~Filler ()
| Destructor.
PointF | GetEditingTextCaretPosition (Matrix matrix)
| Get the text caret position when the text field or combo box is in the editing state. More...
void | HighlightFormFields (bool is_highlight)
| Decide whether to highlight form fields (including signature fields) or not. More...
void | HighlightFormFields (bool is_highlight, bool is_sign_highlight)
| Decide whether to highlight signature fields and other form fields or not. More...
bool | IsEmpty () const
| Check whether current object is empty or not. More...
bool | KillFocus ()
| Kill focus from form. More...
bool | OnChar (uint32 char_code, uint32 flags)
| Call this function when a character code is about to be inputted to a form field. More...
bool | OnCopy ()
| Call this function when the popup menu item "Copy" is down. More...
bool | OnCut ()
| Call this function when the popup menu item "Cut" is down. More...
bool | OnDelete ()
| Call this function when the popup menu item "Delete" is down. More...
bool | OnKeyDown (uint32 key_code, uint32 flags)
| Call this function when key on the keyboard is down. More...
bool | OnKeyUp (uint32 key_code, uint32 flags)
| Call this function when key on the keyboard is up. More...
bool | OnLButtonDoubleClick (const PDFPage &page, const PointF &point, uint32 flags)
| Call this function when left mouse button is double clicked. More...
bool | OnLButtonDown (const PDFPage &page, const PointF &point, uint32 flags)
| Call this function when left mouse button is down. More...
bool | OnLButtonUp (const PDFPage &page, const PointF &point, uint32 flags)
| Call this function when left mouse button is up. More...
bool | OnMouseEnter (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse enters somewhere. More...
bool | OnMouseHover (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse hovers somewhere. More...
bool | OnMouseLeave (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse leaves somewhere. More...
bool | OnMouseMove (const PDFPage &page, const PointF &point, uint32 flags)
| Call this function when mouse moves. More...
bool | OnMouseWheel (const PDFPage &page, const PointF &point, int32 delta, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse wheel moves. More...
bool | OnPaste ()
| Call this function when the popup menu item "Paste" is down. More...
bool | OnRButtonDoubleClick (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when right mouse button is double clicked. More...
bool | OnRButtonDown (const PDFPage &page, const PointF &point, uint32 flags)
| Call this function when right mouse button is down. More...
bool | OnRButtonUp (const PDFPage &page, const PointF &point, uint32 flags)
| Call this function when right mouse button is up. More...
bool | OnSelectAll ()
| Call this function when the popup menu item "Select All" is down. More...
bool | OnWheelButtonDoubleClick (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse wheel button is double clicked. More...
bool | OnWheelButtonDown (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse wheel button is down. More...
bool | OnWheelButtonUp (const PDFPage &page, const PointF &point, uint32 flags)
| (Reserved, unsupported yet) Call this function when mouse wheel button is up. More...
bool | operator!= (const Filler &other) const
| Not equal operator. More...
Filler & | operator= (const Filler &other)
| Assign operator. More...
bool | operator== (const Filler &other) const
| Equal operator. More...
void | Render (const PDFPage &page, const Matrix &matrix, const common::Renderer &renderer)
| Draw the currently focused form control on the page. More...
bool | SetFocus (const Control &control)
| Set focus on a form control. More...
void | SetHighlightColor (ARGB color)
| Set the highlight color used for highlighting form fields. More...
void | ShowOverflowIndicator (bool is_show_overflow_indicator)
| Decide whether to show the overflow indicator when the text in text field overflow. More...
Public Member Functions inherited from foxit::Base
FS_HANDLE | Handle () const
| Get the handle of current object. More...

## Detailed Description

This class represents a form filler used for filling PDF form. There should be only one form filler object for an interactive form, so do not construct form filler for one Form object more than one time. User is recommended to implement an foxit::ActionCallback and set it to Foxit PDF SDK by function common::Library::SetActionCallback, in order to implement more features of form filler.

See also
  common::Library

## Member Enumeration Documentation

## ◆ EventFlags

enum foxit::pdf::interform::Filler::EventFlags

Enumeration for key event flags.

Values of this enumeration can be used alone or in combination.

Enumerator
e_EventFlagShiftKey | Event flag: "Shift" key.
e_EventFlagControlKey | Event flag: "Ctrl" key.
e_EventFlagAltKey | Event flag: "Alt" key.
e_EventFlagMetaKey | Event flag: meta key.
e_EventFlagKeyPad | Event flag: key pad.
e_EventFlagAutoRepeat | Event flag: auto repeat.
e_EventFlagLeftButtonDown | Event flag: the left button of the mouse is down.
e_EventFlagMiddleButtonDown | Event flag: the middle button of the mouse is down.
e_EventFlagRightButtonDown | Event flag: the right button of the mouse is down.
e_EventFlagCommand | Event flag: the command key.

## ◆ VirtualKeyCode

enum foxit::pdf::interform::Filler::VirtualKeyCode

Enumeration for virtual key code.

Values of this enumeration should be used alone.

Enumerator
e_VkeyUnknown | An unknown key.
e_VkeyBack | Backspace key.
e_VkeyTab | Tab key.
e_VkeyReturn | Enter key.
e_VkeyShift | Shift key.
e_VkeyControl | Ctrl key.
e_VkeyMenu | Menu key.
e_VkeyPause | Pause Break key.
e_VkeyEscape | ESC key.
e_VkeySpace | Space key.
e_VkeyPrior | Page Up key.
e_VkeyNext | Page Down key.
e_VkeyEnd | End key.
e_VkeyHome | Home key.
e_VkeyLeft | Left arrow key.
e_VkeyUp | Up arrow key.
e_VkeyRight | Right arrow key.
e_VkeyDown | Down arrow key.
e_VkeyPrint | Print key.
e_VkeySnapshot | Print Screen key.
e_VkeyInsert | Insert key.
e_VkeyDelete | Delete key.
e_VkeyHelp | Help key.
e_Vkey0 | 0 key.
e_Vkey1 | 1 key.
e_Vkey2 | 2 key.
e_Vkey3 | 3 key.
e_Vkey4 | 4 key.
e_Vkey5 | 5 key.
e_Vkey6 | 6 key.
e_Vkey7 | 7 key.
e_Vkey8 | 8 key.
e_Vkey9 | 9 key.
e_VkeyA | A key.
e_VkeyB | B key.
e_VkeyC | C key.
e_VkeyD | D key.
e_VkeyE | E key.
e_VkeyF | F key.
e_VkeyG | G key.
e_VkeyH | H key.
e_VkeyI | I key.
e_VkeyJ | J key.
e_VkeyK | K key.
e_VkeyL | L key.
e_VkeyM | M key.
e_VkeyN | N key.
e_VkeyO | O key.
e_VkeyP | P key.
e_VkeyQ | Q key.
e_VkeyR | R key.
e_VkeyS | S key.
e_VkeyT | T key.
e_VkeyU | U key.
e_VkeyV | V key.
e_VkeyW | W key.
e_VkeyX | X key.
e_VkeyY | Y key.
e_VkeyZ | Z key.
e_VkeyNumpad0 | 0 key in the numeric keypad.
e_VkeyNumpad1 | 1 key in the numeric keypad.
e_VkeyNumpad2 | 2 key in the numeric keypad.
e_VkeyNumpad3 | 3 key in the numeric keypad.
e_VkeyNumpad4 | 4 key in the numeric keypad.
e_VkeyNumpad5 | 5 key in the numeric keypad.
e_VkeyNumpad6 | 6 key in the numeric keypad.
e_VkeyNumpad7 | 7 key in the numeric keypad.
e_VkeyNumpad8 | 8 key in the numeric keypad.
e_VkeyNumpad9 | 9 key in the numeric keypad.
e_VkeyMultiply | Multiply key in the numeric keypad.
e_VkeyAdd | Plus key in the numeric keypad.
e_VkeySeparator | Enter key in the numeric keypad.
e_VkeySubtract | Minus key in the numeric keypad.
e_VkeyDecimal | Dot key in the numeric keypad.
e_VkeyDivide | Slash key in the numeric keypad.
e_VkeyF1 | F1 key.
e_VkeyF2 | F2 key.
e_VkeyF3 | F3 key.
e_VkeyF4 | F4 key.
e_VkeyF5 | F5 key.
e_VkeyF6 | F6 key.
e_VkeyF7 | F7 key.
e_VkeyF8 | F8 key.
e_VkeyF9 | F9 key.
e_VkeyF10 | F10 key.
e_VkeyF11 | F11 key.
e_VkeyF12 | F12 key.

## Constructor & Destructor Documentation

## ◆ Filler() [1/2]

foxit::pdf::interform::Filler::Filler | ( | const Form & | form,
|  | FillerAssistCallback * | assist
| ) |  |
| explicit

Constructor.

There can be only one form filler for a form.

Parameters

  [in] | form | A valid PDF form.
  [in] | assist | An assistant callback class for form filler. This should be implemented by user and should not be NULL.

## ◆ Filler() [2/2]

foxit::pdf::interform::Filler::Filler | ( | const Filler & | other | ) |

Constructor, with another filler object.

Parameters

  [in] | other | Another filler object.

## Member Function Documentation

## ◆ GetEditingTextCaretPosition()

PointF foxit::pdf::interform::Filler::GetEditingTextCaretPosition | ( | Matrix | matrix | ) |

Get the text caret position when the text field or combo box is in the editing state.

Parameters

  [in] | matrix | A matrix used to transform the returned position to device coordinate system.

Returns
  A position of the top of the text caret in device coordinate system.
  (-1,-1) means that there are no text field or combo box in the editing state.

## ◆ HighlightFormFields() [1/2]

void foxit::pdf::interform::Filler::HighlightFormFields | ( | bool | is_highlight | ) |

Decide whether to highlight form fields (including signature fields) or not.

All types of form fields can be highlighted except push button fields. If this function is not called, Foxit PDF SDK will highlight all form fields (including signature fields) by default.

Parameters

  [in] | is_highlight | true means to highlight form fields (including signature fields), and false means not to highlight form fields (including signature fields).

Returns
  None.

## ◆ HighlightFormFields() [2/2]

void foxit::pdf::interform::Filler::HighlightFormFields | ( | bool | is_highlight,
|  | bool | is_sign_highlight
| ) |  |

Decide whether to highlight signature fields and other form fields or not.

All types of form fields can be highlighted except push button fields. If this function is not called, Foxit PDF SDK will highlight all form fields by default apart from signature fields which are not highlighted by default.

Parameters

  [in] | is_highlight | This boolean value is used for non-signature fields: true means to highlight form fields, and false means not to highlight form fields.
  [in] | is_sign_highlight | This boolean value is used only for siganture fields: true means to highlight signature fields, and false means not to highlight signature fields.

Returns
  None.

## ◆ IsEmpty()

bool foxit::pdf::interform::Filler::IsEmpty | ( |  | ) | const

Check whether current object is empty or not.

When the current object is empty, that means current object is useless.

Returns
  true means current object is empty, while false means not.

## ◆ KillFocus()

bool foxit::pdf::interform::Filler::KillFocus | ( |  | ) |

Kill focus from form.

Returns
  true means success, while false means failure.

## ◆ OnChar()

bool foxit::pdf::interform::Filler::OnChar | ( | uint32 | char_code,
|  | uint32 | flags
| ) |  |

Call this function when a character code is about to be inputted to a form field.

Parameters

  [in] | char_code | A character code, in UTF16-LE encoding.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ OnCopy()

bool foxit::pdf::interform::Filler::OnCopy | ( |  | ) |

Call this function when the popup menu item "Copy" is down.

Returns
  true means success, while false means failure.

## ◆ OnCut()

bool foxit::pdf::interform::Filler::OnCut | ( |  | ) |

Call this function when the popup menu item "Cut" is down.

Returns
  true means success, while false means failure.

## ◆ OnDelete()

bool foxit::pdf::interform::Filler::OnDelete | ( |  | ) |

Call this function when the popup menu item "Delete" is down.

Returns
  true means success, while false means failure.

## ◆ OnKeyDown()

bool foxit::pdf::interform::Filler::OnKeyDown | ( | uint32 | key_code,
|  | uint32 | flags
| ) |  |

Call this function when key on the keyboard is down.

Parameters

  [in] | key_code | The key code. Please refer to values starting from Filler::e_VkeyUnknown and this should be one of these values.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return true.

## ◆ OnKeyUp()

bool foxit::pdf::interform::Filler::OnKeyUp | ( | uint32 | key_code,
|  | uint32 | flags
| ) |  |

Call this function when key on the keyboard is up.

Parameters

  [in] | key_code | The key code. Please refer to values starting from Filler::e_VkeyUnknown and this should be one of these values.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return true.

## ◆ OnLButtonDoubleClick()

bool foxit::pdf::interform::Filler::OnLButtonDoubleClick | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

Call this function when left mouse button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ OnLButtonDown()

bool foxit::pdf::interform::Filler::OnLButtonDown | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

Call this function when left mouse button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is down in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ OnLButtonUp()

bool foxit::pdf::interform::Filler::OnLButtonUp | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

Call this function when left mouse button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ OnMouseEnter()

bool foxit::pdf::interform::Filler::OnMouseEnter | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse enters somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnMouseHover()

bool foxit::pdf::interform::Filler::OnMouseHover | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse hovers somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnMouseLeave()

bool foxit::pdf::interform::Filler::OnMouseLeave | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse leaves somewhere.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnMouseMove()

bool foxit::pdf::interform::Filler::OnMouseMove | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

Call this function when mouse moves.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure.

## ◆ OnMouseWheel()

bool foxit::pdf::interform::Filler::OnMouseWheel | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | int32 | delta,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse wheel moves.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | delta | Indicates the amount the mouse wheel has been moved. A positive value means to be moved forward, and a negative value means to be moved backward.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnPaste()

bool foxit::pdf::interform::Filler::OnPaste | ( |  | ) |

Call this function when the popup menu item "Paste" is down.

Returns
  true means success, while false means failure.

## ◆ OnRButtonDoubleClick()

bool foxit::pdf::interform::Filler::OnRButtonDoubleClick | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when right mouse button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnRButtonDown()

bool foxit::pdf::interform::Filler::OnRButtonDown | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

Call this function when right mouse button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnRButtonUp()

bool foxit::pdf::interform::Filler::OnRButtonUp | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

Call this function when right mouse button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnSelectAll()

bool foxit::pdf::interform::Filler::OnSelectAll | ( |  | ) |

Call this function when the popup menu item "Select All" is down.

Returns
  true means success, while false means failure.

## ◆ OnWheelButtonDoubleClick()

bool foxit::pdf::interform::Filler::OnWheelButtonDoubleClick | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse wheel button is double clicked.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnWheelButtonDown()

bool foxit::pdf::interform::Filler::OnWheelButtonDown | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse wheel button is down.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ OnWheelButtonUp()

bool foxit::pdf::interform::Filler::OnWheelButtonUp | ( | const PDFPage & | page,
|  | const PointF & | point,
|  | uint32 | flags
| ) |  |

(Reserved, unsupported yet) Call this function when mouse wheel button is up.

Parameters

  [in] | page | A valid PDF page object.
  [in] | point | A point where left mouse button is up in the page, in PDF coordinate system.
  [in] | flags | Event flags. Please refer to values starting from Filler::e_EventFlagShiftKey and this should be one or a combination of these values.

Returns
  true means success, while false means failure. Currently this function does not support to be used yet, so this function will always return false.

## ◆ operator!=()

bool foxit::pdf::interform::Filler::operator!= | ( | const Filler & | other | ) | const

Not equal operator.

Parameters

  [in] | other | Another filler object. This function will check if current object is not equal to this one.

Returns
  true means not equal, while false means equal.

## ◆ operator=()

Filler& foxit::pdf::interform::Filler::operator= | ( | const Filler & | other | ) |

Assign operator.

Parameters

  [in] | other | Another filler object, whose value would be assigned to current object.

Returns
  Reference to current object itself.

## ◆ operator==()

bool foxit::pdf::interform::Filler::operator== | ( | const Filler & | other | ) | const

Equal operator.

Parameters

  [in] | other | Another filler object. This function will check if current object is equal to this one.

Returns
  true means equal, while false means not equal.

## ◆ Render()

void foxit::pdf::interform::Filler::Render | ( | const PDFPage & | page,
|  | const Matrix & | matrix,
|  | const common::Renderer & | renderer
| ) |  |

Draw the currently focused form control on the page.

If there is no focused form control on the page, nothing will be drawn by this function. The focused form control has to be the topmost visible element, so that it should be always rendered after page content and all the other annotations have been rendered.
For how to render form control (which is associated with widget annotations), please refer to the recommended flow mentioned in comment of class Renderer.

Parameters

  [in] | page | A valid PDF page object.
  [in] | matrix | The transformation matrix used for rendering, which is usually returned by function PDFPage::GetDisplayMatrix.
  [in] | renderer | A valid renderer object for rendering.

Returns
  None.

## ◆ SetFocus()

bool foxit::pdf::interform::Filler::SetFocus | ( | const Control & | control | ) |

Set focus on a form control.

Parameters

  [in] | control | A form control object. If this is constructed by default constructor and not set any value, that means no focus control.

Returns
  true means success, while false means failure.

## ◆ SetHighlightColor()

void foxit::pdf::interform::Filler::SetHighlightColor | ( | ARGB | color | ) |

Set the highlight color used for highlighting form fields.

If this function is not called, Foxit PDF SDK will use a kind of light blue grey color (value 0x80C8D2FF) by default.

Parameters

  [in] | color | The highlight color to be set for highlighting form fields.

Returns
  None.

## ◆ ShowOverflowIndicator()

void foxit::pdf::interform::Filler::ShowOverflowIndicator | ( | bool | is_show_overflow_indicator | ) |

Decide whether to show the overflow indicator when the text in text field overflow.

If this function is not called, Foxit PDF SDK will not show form field overflow indicator by default.

Parameters

  [in] | is_show_overflow_indicator | true means to show overflow indicator when the text in text field overflow, and false means not to show overflow indicator in this case.

Returns
  None.